Bug 18911 - Option to set preferred language in OPAC
Summary: Option to set preferred language in OPAC
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
: 19561 (view as bug list)
Depends on: 17762
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-08 19:02 UTC by Katrin Fischer
Modified: 2020-07-16 03:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02


Attachments
Bug 18911: Add the ability to set the preferred lang for notice at the OPAC (5.14 KB, patch)
2020-06-17 10:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18911: Add the ability to set the preferred lang for notice at the OPAC (5.25 KB, patch)
2020-06-17 11:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18911: (follow-up) We should save changes with a POST (1.38 KB, patch)
2020-06-17 11:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18911: Add the ability to set the preferred lang for notice at the OPAC (5.26 KB, patch)
2020-06-17 12:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18911: (follow-up) We should save changes with a POST (1.39 KB, patch)
2020-06-17 12:46 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-07-08 19:02:04 UTC
With bug 17762 it's now possible to set a preferred language in the patron account that will be used to sent translated notices.
It should be possible for the patron to set their preferred language in the OPAC too. 

If a library doesn't want this, the PatronSelf*BorrowerUnwantedField preferences should allow to remove the option.
Comment 1 Jonathan Druart 2017-07-10 19:05:00 UTC
I did not implement that on bug 17762 because it's hard to know if all notices have been translated. But indeed it can be hidden with *BorrowerUnwantedField.
Comment 2 Katrin Fischer 2017-07-10 21:39:11 UTC
I think if there is a fallback on the "default" that would still be ok for most libraries. We could also cover it somewhat in the label:. "Preferred language for notices" doesn't necessarily mean that everything is available translated I think.
Comment 3 Katrin Fischer 2020-01-11 21:31:00 UTC
*** Bug 19561 has been marked as a duplicate of this bug. ***
Comment 4 Marcel de Rooy 2020-06-16 11:56:12 UTC
I agree with Katrin here.

From 17762: "Not the opac because we do not want the patron to modify it, they won't be necessary translated."

For library staff it would be much easier if the patron could set it on OPAC.
It could be made dependent of the syspref too. So if nothing is translated and the pref is off, you do not raise expectations? Not to mention the unwanted prefs.

Any plans here?
Comment 5 Katrin Fischer 2020-06-16 12:19:19 UTC
I think it also falls back to the "Default" message, so they will always receive notices - translated or not.
Comment 6 Jonathan Druart 2020-06-17 10:23:52 UTC Comment hidden (obsolete)
Comment 7 Marcel de Rooy 2020-06-17 11:54:31 UTC Comment hidden (obsolete)
Comment 8 Marcel de Rooy 2020-06-17 11:54:36 UTC Comment hidden (obsolete)
Comment 9 Marcel de Rooy 2020-06-17 11:58:27 UTC
Thanks Jonathan for your quick response.

As a side note: We should probably move Preferred language for notices on staff memberentry also to the Messaging preferences section instead of Library management. But this could be done elsewhere.
Note also that moremember does not show a language for 'Default'.

/cgi-bin/koha/members/memberentry.pl?op=modify&borrowernumber=51&step=5
does not include the patron notice language either, although it is about messaging.
Comment 10 Owen Leonard 2020-06-17 12:45:58 UTC
Created attachment 105952 [details] [review]
Bug 18911: Add the ability to set the preferred lang for notice at the OPAC

Patron should be allowed to modify this setting without asking a staff
member.

The setting is not configurable and cannot be hidden via a syspref.

Test plan:
- Turn the pref TranslateNotices on
- Install some languages
- Edit your messaging settings at the OPAC
=> Notice the "Preferred language for notices" dropdown list
- Select one
=> Confirm that the value is saved in DB

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 11 Owen Leonard 2020-06-17 12:46:03 UTC
Created attachment 105953 [details] [review]
Bug 18911: (follow-up) We should save changes with a POST

Test plan:
Verify if changes to messaging table and language are still saved.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 12 Marcel de Rooy 2020-06-17 12:58:46 UTC
Exchanging signoff with oleonard.
Passing QA now !
Comment 13 Jonathan Druart 2020-06-24 13:31:38 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 14 Lucas Gass 2020-07-13 14:59:28 UTC
backported to 20.05.x for 20.05.02
Comment 15 Aleisha Amohia 2020-07-16 03:56:00 UTC
enhancement, not backported to 19.11.x